<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- XRef/xref6.html -->
<!-- this view was generated by XRef -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Cross Reference : Synopsis::PTree::Encoding::destructor&#40;const Node*&#41; - Synopsis::PTree::Encoding::right_paren</title>
<link href="../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="XRef">
<div class="navigation">
<span class="normal"><a href="../Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Cross Reference : Synopsis::PTree::Encoding::destructor&#40;const Node*&#41; - Synopsis::PTree::Encoding::right_paren</h1><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mdestructor_lconst.Node_S_r" /><h2 >Member function Synopsis::PTree::Encoding::destructor&#40;const Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#destructor_lconst.Node_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#146">Synopsis/PTree/Encoding.hh:146</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mdo_init_static_l_r" /><h2 >Member function Synopsis::PTree::Encoding::do_init_static&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#do_init_static_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#101">Synopsis/PTree/Encoding.hh:101</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mdots" /><h2 >Data member Synopsis::PTree::Encoding::dots</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#dots" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#200">Synopsis/PTree/Encoding.hh:200</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mdouble_t" /><h2 >Data member Synopsis::PTree::Encoding::double_t</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#double_t" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#193">Synopsis/PTree/Encoding.hh:193</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mellipsis_arg_l_r" /><h2 >Member function Synopsis::PTree::Encoding::ellipsis_arg&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#ellipsis_arg_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#157">Synopsis/PTree/Encoding.hh:157</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mempty_l_rconst" /><h2 >Member function Synopsis::PTree::Encoding::empty&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#empty_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#111">Synopsis/PTree/Encoding.hh:111</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mend_l_rconst" /><h2 >Member function Synopsis::PTree::Encoding::end&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#end_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#114">Synopsis/PTree/Encoding.hh:114</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#213">Synopsis/PTree/Encoding.hh:213</a>: in Synopsis::PTree::operator&lt;&lt;&#40;std</li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mend_func_args_l_r" /><h2 >Member function Synopsis::PTree::Encoding::end_func_args&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#end_func_args_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#155">Synopsis/PTree/Encoding.hh:155</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mend_of_scope_l_rconst" /><h2 >Member function Synopsis::PTree::Encoding::end_of_scope&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#end_of_scope_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#187">Synopsis/PTree/Encoding.hh:187</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mfloat_t" /><h2 >Data member Synopsis::PTree::Encoding::float_t</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#float_t" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#193">Synopsis/PTree/Encoding.hh:193</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mfront_l_rconst" /><h2 >Member function Synopsis::PTree::Encoding::front&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#front_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#115">Synopsis/PTree/Encoding.hh:115</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#175">Synopsis/PTree/Encoding.hh:175</a>: in member function <a href="../Scopes/Synopsis/PTree/Encoding.html#is_simple_name_l_rconst" >Synopsis::PTree::Encoding::is_simple_name&#40;&#41;const</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#176">Synopsis/PTree/Encoding.hh:176</a>: in member function <a href="../Scopes/Synopsis/PTree/Encoding.html#is_global_scope_l_rconst" >Synopsis::PTree::Encoding::is_global_scope&#40;&#41;const</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#177">Synopsis/PTree/Encoding.hh:177</a>: in member function <a href="../Scopes/Synopsis/PTree/Encoding.html#is_qualified_l_rconst" >Synopsis::PTree::Encoding::is_qualified&#40;&#41;const</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#179">Synopsis/PTree/Encoding.hh:179</a>: in member function <a href="../Scopes/Synopsis/PTree/Encoding.html#is_template_l_rconst" >Synopsis::PTree::Encoding::is_template&#40;&#41;const</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mfunction_lconst.Encoding_A_r" /><h2 >Member function Synopsis::PTree::Encoding::function&#40;const Encoding&amp;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#function_lconst.Encoding_A_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#152">Synopsis/PTree/Encoding.hh:152</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mget_scope_l_rconst" /><h2 >Member function Synopsis::PTree::Encoding::get_scope&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#get_scope_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#163">Synopsis/PTree/Encoding.hh:163</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mget_symbol_l_rconst" /><h2 >Member function Synopsis::PTree::Encoding::get_symbol&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#get_symbol_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#167">Synopsis/PTree/Encoding.hh:167</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mget_template_arguments_l_rconst" /><h2 >Member function Synopsis::PTree::Encoding::get_template_arguments&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#get_template_arguments_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#168">Synopsis/PTree/Encoding.hh:168</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mglobal_scope_l_r" /><h2 >Member function Synopsis::PTree::Encoding::global_scope&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#global_scope_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#141">Synopsis/PTree/Encoding.hh:141</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mint_t" /><h2 >Data member Synopsis::PTree::Encoding::int_t</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#int_t" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#192">Synopsis/PTree/Encoding.hh:192</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mis_function_l_rconst" /><h2 >Member function Synopsis::PTree::Encoding::is_function&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#is_function_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#178">Synopsis/PTree/Encoding.hh:178</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mis_global_scope_l_rconst" /><h2 >Member function Synopsis::PTree::Encoding::is_global_scope&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#is_global_scope_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#176">Synopsis/PTree/Encoding.hh:176</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mis_qualified_l_rconst" /><h2 >Member function Synopsis::PTree::Encoding::is_qualified&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#is_qualified_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#177">Synopsis/PTree/Encoding.hh:177</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mis_simple_name_l_rconst" /><h2 >Member function Synopsis::PTree::Encoding::is_simple_name&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#is_simple_name_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#175">Synopsis/PTree/Encoding.hh:175</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mis_template_l_rconst" /><h2 >Member function Synopsis::PTree::Encoding::is_template&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#is_template_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#179">Synopsis/PTree/Encoding.hh:179</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_miterator" /><h2 >Typedef Synopsis::PTree::Encoding::iterator</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#iterator" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#99">Synopsis/PTree/Encoding.hh:99</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#107">Synopsis/PTree/Encoding.hh:107</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#107">Synopsis/PTree/Encoding.hh:107</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#113">Synopsis/PTree/Encoding.hh:113</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#114">Synopsis/PTree/Encoding.hh:114</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#187">Synopsis/PTree/Encoding.hh:187</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#212">Synopsis/PTree/Encoding.hh:212</a>: in Synopsis::PTree::operator&lt;&lt;&#40;std</li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mleft_angle" /><h2 >Data member Synopsis::PTree::Encoding::left_angle</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#left_angle" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#202">Synopsis/PTree/Encoding.hh:202</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mleft_bracket" /><h2 >Data member Synopsis::PTree::Encoding::left_bracket</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#left_bracket" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#201">Synopsis/PTree/Encoding.hh:201</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mleft_paren" /><h2 >Data member Synopsis::PTree::Encoding::left_paren</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#left_paren" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#201">Synopsis/PTree/Encoding.hh:201</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mlong_t" /><h2 >Data member Synopsis::PTree::Encoding::long_t</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#long_t" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#192">Synopsis/PTree/Encoding.hh:192</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mmake_name_l_r" /><h2 >Member function Synopsis::PTree::Encoding::make_name&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#make_name_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#172">Synopsis/PTree/Encoding.hh:172</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mmake_ptree_lNode_S_r" /><h2 >Member function Synopsis::PTree::Encoding::make_ptree&#40;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#make_ptree_lNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#174">Synopsis/PTree/Encoding.hh:174</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mmake_qname_l_r" /><h2 >Member function Synopsis::PTree::Encoding::make_qname&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#make_qname_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#173">Synopsis/PTree/Encoding.hh:173</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mmy_buffer" /><h2 >Data member Synopsis::PTree::Encoding::my_buffer</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#my_buffer" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#189">Synopsis/PTree/Encoding.hh:189</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#110">Synopsis/PTree/Encoding.hh:110</a>: in member function <a href="../Scopes/Synopsis/PTree/Encoding.html#clear_l_r" >Synopsis::PTree::Encoding::clear&#40;&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#111">Synopsis/PTree/Encoding.hh:111</a>: in member function <a href="../Scopes/Synopsis/PTree/Encoding.html#empty_l_rconst" >Synopsis::PTree::Encoding::empty&#40;&#41;const</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#112">Synopsis/PTree/Encoding.hh:112</a>: in member function <a href="../Scopes/Synopsis/PTree/Encoding.html#size_l_rconst" >Synopsis::PTree::Encoding::size&#40;&#41;const</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#113">Synopsis/PTree/Encoding.hh:113</a>: in member function <a href="../Scopes/Synopsis/PTree/Encoding.html#begin_l_rconst" >Synopsis::PTree::Encoding::begin&#40;&#41;const</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#114">Synopsis/PTree/Encoding.hh:114</a>: in member function <a href="../Scopes/Synopsis/PTree/Encoding.html#end_l_rconst" >Synopsis::PTree::Encoding::end&#40;&#41;const</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#116">Synopsis/PTree/Encoding.hh:116</a>: in member function <a href="../Scopes/Synopsis/PTree/Encoding.html#at_lsize_t_rconst" >Synopsis::PTree::Encoding::at&#40;size_t&#41;const</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#122">Synopsis/PTree/Encoding.hh:122</a>: in member function <a href="../Scopes/Synopsis/PTree/Encoding.html#operator_e_e_lconst.Encoding_A_rconst" >Synopsis::PTree::Encoding::operator==&#40;const Encoding&amp;&#41;const</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#122">Synopsis/PTree/Encoding.hh:122</a>: in member function <a href="../Scopes/Synopsis/PTree/Encoding.html#operator_e_e_lconst.Encoding_A_rconst" >Synopsis::PTree::Encoding::operator==&#40;const Encoding&amp;&#41;const</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#123">Synopsis/PTree/Encoding.hh:123</a>: in Synopsis::PTree::Encoding::operator==&#40;const std</li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#124">Synopsis/PTree/Encoding.hh:124</a>: in member function <a href="../Scopes/Synopsis/PTree/Encoding.html#operator_e_e_lconst.char_S_rconst" >Synopsis::PTree::Encoding::operator==&#40;const char*&#41;const</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#126">Synopsis/PTree/Encoding.hh:126</a>: in member function <a href="../Scopes/Synopsis/PTree/Encoding.html#prepend_lunsigned.char_r" >Synopsis::PTree::Encoding::prepend&#40;unsigned char&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#126">Synopsis/PTree/Encoding.hh:126</a>: in member function <a href="../Scopes/Synopsis/PTree/Encoding.html#prepend_lunsigned.char_r" >Synopsis::PTree::Encoding::prepend&#40;unsigned char&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#127">Synopsis/PTree/Encoding.hh:127</a>: in member function <a href="../Scopes/Synopsis/PTree/Encoding.html#prepend_lconst.char_S_csize_t_r" >Synopsis::PTree::Encoding::prepend&#40;const char*&#44;size_t&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#128">Synopsis/PTree/Encoding.hh:128</a>: in member function <a href="../Scopes/Synopsis/PTree/Encoding.html#prepend_lconst.Encoding_A_r" >Synopsis::PTree::Encoding::prepend&#40;const Encoding&amp;&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#128">Synopsis/PTree/Encoding.hh:128</a>: in member function <a href="../Scopes/Synopsis/PTree/Encoding.html#prepend_lconst.Encoding_A_r" >Synopsis::PTree::Encoding::prepend&#40;const Encoding&amp;&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#130">Synopsis/PTree/Encoding.hh:130</a>: in member function <a href="../Scopes/Synopsis/PTree/Encoding.html#append_lunsigned.char_r" >Synopsis::PTree::Encoding::append&#40;unsigned char&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#131">Synopsis/PTree/Encoding.hh:131</a>: in member function <a href="../Scopes/Synopsis/PTree/Encoding.html#append_lconst.char_S_csize_t_r" >Synopsis::PTree::Encoding::append&#40;const char*&#44;size_t&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#132">Synopsis/PTree/Encoding.hh:132</a>: in member function <a href="../Scopes/Synopsis/PTree/Encoding.html#append_lconst.Encoding_A_r" >Synopsis::PTree::Encoding::append&#40;const Encoding&amp;&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#132">Synopsis/PTree/Encoding.hh:132</a>: in member function <a href="../Scopes/Synopsis/PTree/Encoding.html#append_lconst.Encoding_A_r" >Synopsis::PTree::Encoding::append&#40;const Encoding&amp;&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#137">Synopsis/PTree/Encoding.hh:137</a>: in member function <a href="../Scopes/Synopsis/PTree/Encoding.html#pop_lsize_t_r" >Synopsis::PTree::Encoding::pop&#40;size_t&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#137">Synopsis/PTree/Encoding.hh:137</a>: in member function <a href="../Scopes/Synopsis/PTree/Encoding.html#pop_lsize_t_r" >Synopsis::PTree::Encoding::pop&#40;size_t&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#137">Synopsis/PTree/Encoding.hh:137</a>: in member function <a href="../Scopes/Synopsis/PTree/Encoding.html#pop_lsize_t_r" >Synopsis::PTree::Encoding::pop&#40;size_t&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#207">Synopsis/PTree/Encoding.hh:207</a>: in function <a href="../Scopes/Synopsis/PTree.html#operator_L_lconst.Encoding_A_cconst.Encoding_A_r" >Synopsis::PTree::operator&lt;&#40;const Encoding&amp;&#44;const Encoding&amp;&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#207">Synopsis/PTree/Encoding.hh:207</a>: in function <a href="../Scopes/Synopsis/PTree.html#operator_L_lconst.Encoding_A_cconst.Encoding_A_r" >Synopsis::PTree::operator&lt;&#40;const Encoding&amp;&#44;const Encoding&amp;&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#222">Synopsis/PTree/Encoding.hh:222</a>: in member function <a href="../Scopes/Synopsis/PTree/Encoding.html#pop_l_r" >Synopsis::PTree::Encoding::pop&#40;&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#223">Synopsis/PTree/Encoding.hh:223</a>: in member function <a href="../Scopes/Synopsis/PTree/Encoding.html#pop_l_r" >Synopsis::PTree::Encoding::pop&#40;&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mname_to_ptree_l_r" /><h2 >Member function Synopsis::PTree::Encoding::name_to_ptree&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#name_to_ptree_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#180">Synopsis/PTree/Encoding.hh:180</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mnew_operator" /><h2 >Data member Synopsis::PTree::Encoding::new_operator</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#new_operator" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#197">Synopsis/PTree/Encoding.hh:197</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mno_return_type_l_r" /><h2 >Member function Synopsis::PTree::Encoding::no_return_type&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#no_return_type_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#158">Synopsis/PTree/Encoding.hh:158</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_moperator_L_lconst.Encoding_A_cconst.Encoding_A_r" /><h2 >Member function Synopsis::PTree::Encoding::operator&lt;&#40;const Encoding&amp;&#44;const Encoding&amp;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#operator_L_lconst.Encoding_A_cconst.Encoding_A_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#182">Synopsis/PTree/Encoding.hh:182</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_moperator_L_L_lstd_mostream_A_cconst.Encoding_A_r" /><h2 >Synopsis::PTree::Encoding::operator&lt;&lt;&#40;std::ostream&amp;&#44;const Encoding&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#183">Synopsis/PTree/Encoding.hh:183</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_moperator_e_e_lconst.Encoding_A_rconst" /><h2 >Member function Synopsis::PTree::Encoding::operator==&#40;const Encoding&amp;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#operator_e_e_lconst.Encoding_A_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#122">Synopsis/PTree/Encoding.hh:122</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_moperator_e_e_lconst.char_S_rconst" /><h2 >Member function Synopsis::PTree::Encoding::operator==&#40;const char*&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#operator_e_e_lconst.char_S_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#124">Synopsis/PTree/Encoding.hh:124</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_moperator_e_e_lconst.std_mstring_A_rconst" /><h2 >Synopsis::PTree::Encoding::operator==&#40;const std::string&amp;&#41;const</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#123">Synopsis/PTree/Encoding.hh:123</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_moperator_name" /><h2 >Data member Synopsis::PTree::Encoding::operator_name</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#operator_name" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#197">Synopsis/PTree/Encoding.hh:197</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mpop_l_r" /><h2 >Member function Synopsis::PTree::Encoding::pop&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#pop_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#136">Synopsis/PTree/Encoding.hh:136</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#220">Synopsis/PTree/Encoding.hh:220</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mpop_lsize_t_r" /><h2 >Member function Synopsis::PTree::Encoding::pop&#40;size_t&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#pop_lsize_t_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#137">Synopsis/PTree/Encoding.hh:137</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mprepend_lconst.Encoding_A_r" /><h2 >Member function Synopsis::PTree::Encoding::prepend&#40;const Encoding&amp;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#prepend_lconst.Encoding_A_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#128">Synopsis/PTree/Encoding.hh:128</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#152">Synopsis/PTree/Encoding.hh:152</a>: in member function <a href="../Scopes/Synopsis/PTree/Encoding.html#function_lconst.Encoding_A_r" >Synopsis::PTree::Encoding::function&#40;const Encoding&amp;&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#153">Synopsis/PTree/Encoding.hh:153</a>: in member function <a href="../Scopes/Synopsis/PTree/Encoding.html#recursion_lconst.Encoding_A_r" >Synopsis::PTree::Encoding::recursion&#40;const Encoding&amp;&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mprepend_lconst.char_S_csize_t_r" /><h2 >Member function Synopsis::PTree::Encoding::prepend&#40;const char*&#44;size_t&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#prepend_lconst.char_S_csize_t_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#127">Synopsis/PTree/Encoding.hh:127</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#150">Synopsis/PTree/Encoding.hh:150</a>: in member function <a href="../Scopes/Synopsis/PTree/Encoding.html#array_l_r" >Synopsis::PTree::Encoding::array&#40;&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mprepend_lunsigned.char_r" /><h2 >Member function Synopsis::PTree::Encoding::prepend&#40;unsigned char&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#prepend_lunsigned.char_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#126">Synopsis/PTree/Encoding.hh:126</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mptr_operator_lint_r" /><h2 >Member function Synopsis::PTree::Encoding::ptr_operator&#40;int&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#ptr_operator_lint_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#147">Synopsis/PTree/Encoding.hh:147</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mptr_to_member_lconst.Encoding_A_cint_r" /><h2 >Member function Synopsis::PTree::Encoding::ptr_to_member&#40;const Encoding&amp;&#44;int&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#ptr_to_member_lconst.Encoding_A_cint_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#148">Synopsis/PTree/Encoding.hh:148</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mqualified_lint_r" /><h2 >Member function Synopsis::PTree::Encoding::qualified&#40;int&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#qualified_lint_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#145">Synopsis/PTree/Encoding.hh:145</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mrecursion_lconst.Encoding_A_r" /><h2 >Member function Synopsis::PTree::Encoding::recursion&#40;const Encoding&amp;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#recursion_lconst.Encoding_A_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#153">Synopsis/PTree/Encoding.hh:153</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mright_angle" /><h2 >Data member Synopsis::PTree::Encoding::right_angle</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#right_angle" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#202">Synopsis/PTree/Encoding.hh:202</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mright_bracket" /><h2 >Data member Synopsis::PTree::Encoding::right_bracket</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#right_bracket" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#201">Synopsis/PTree/Encoding.hh:201</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mright_paren" /><h2 >Data member Synopsis::PTree::Encoding::right_paren</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#right_paren" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#201">Synopsis/PTree/Encoding.hh:201</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div>
<div class="logo">Generated on Thu Apr 16 16:28:05 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
